# API4AI Samples: Image Anonymization

<div align="center">
<a target="_blank" href="https://api4.ai?utm_source=img_anonymization_example_repo&utm_medium=readme&utm_campaign=examples"><img src="https://storage.googleapis.com/api4ai-static/logo/a4a-logo-horizontal-gradient-rectangular-bg-round-glow-small-550.png"/></a>
</div>


<div align="center">
<a target="_blank" href="https://rapidapi.com/api4ai-api4ai-default/api/image-anonymization/details"><img src="https://img.shields.io/badge/View%20on%20RapidAPI-gray?logo=octopusdeploy&style=for-the-badge"/></a>
<a target="_blank" href="https://api4.ai/apis/img-anonymization?utm_source=img_anonymization_example_repo&utm_medium=readme&utm_campaign=examples"><img src="https://img.shields.io/badge/api4.ai%20platform-fee33c?style=for-the-badge&logo=icloud&logoColor=black"/></a>
<a target="_blank" href="https://t.me/a4a_img_anonymization_bot"><img src="https://img.shields.io/badge/-Telegram%20demo-ddd?logo=telegram&style=for-the-badge"/></a>
<br><br>
<a target="_blank" href="https://www.instagram.com/api4ai"><img src="https://img.shields.io/badge/instagram--blue?style=social&logo=instagram"/></a>
<a target="_blank" href="https://www.facebook.com/api4ai.solutions/"><img src="https://img.shields.io/badge/facebook--blue?style=social&logo=facebook"/></a>
<a target="_blank" href="https://twitter.com/Api4Ai"><img src="https://img.shields.io/badge/twitter--blue?style=social&logo=twitter"/></a>
<a target="_blank" href="https://www.linkedin.com/company/api4ai"><img src="https://img.shields.io/badge/linkedin--blue?style=social&logo=linkedin"/></a>
</div>


## 👉 Overview

API4AI is cloud-native computer vision & AI platform for startups, enterprises and individual developers. This repository contains sample mini apps that utilize **Image Anonymization API** provided by API4AI.

The Image Anonymization API is as simple as it goes. It detects potential sensitive objects/areas and hide it.

You can use it in your image processing apps, social media apps and more.

<div align="center">
<img width="600" src="https://storage.googleapis.com/api4ai-static/rapidapi/img_anonymization_0.gif"/>
</div>


## 🛠 Technologies

This project run to help API users with ready-to-use examples in a set of the most popular languages and technologies:

* `python`:
  * [requests](./python/requests)
  * [aiohttp](./python/aiohttp)
* `bash`:
  * [curl](./bash/curl)
* `C#`:
  * [RestSharp](./csharp/restsharp)
* `Swift`:
  * [URLSession](./swift/urlsession)
* `NodeJS`:
  * [Axios](./nodejs/axios)
* `Javascript`:
  * [fetch](./js/fetch)
  * [Axios](./js/axios)
  * [jQuery](./js/jquery)
* `PHP`:
  * [cURL](./php/curl)


## 🔗 Links

* Learn more about API on [api4.ai](https://api4.ai/docs/img-anonymization?utm_source=img_anonymization_example_repo&utm_medium=readme&utm_campaign=examples)
* Try API via [🤖 telegram demo bot](https://t.me/a4a_img_anonymization_bot)
* View API on [RapidAPI marketplace](https://rapidapi.com/api4ai-api4ai-default/api/image-anonymization/details)


## 📩 Contacts

Feel free to contact API4AI team if have any questions.

* Email: hello@api4.ai
* Telegram: https://t.me/a4a_support_bot

Please, if you have trouble with configuration or running, feel free to open an issue and ask any questions about using API.
